package com.grkj.iscs_mc.view.fragment

import android.content.Intent
import com.grkj.iscs_mc.databinding.FragmentSettingBinding
import com.grkj.iscs_mc.util.NetApi
import com.grkj.iscs_mc.view.activity.LoginActivity
import com.grkj.iscs_mc.view.base.BaseFragment

/**
 * 设置页
 */
class SettingFragment : BaseFragment<FragmentSettingBinding>() {

    override val viewBinding: FragmentSettingBinding
        get() = FragmentSettingBinding.inflate(layoutInflater)

    override fun initView() {
        mBinding?.cbLogout?.setOnClickListener {
            NetApi.logout()
            startActivity(Intent(context, LoginActivity::class.java))
        }
    }
}